import * as IconSax from "iconsax-react";

const IconRenderer = ({ iconName, size = "24", ...otherProps }) => {
  const IconComponent = IconSax[iconName];

  if (!IconComponent) {
    // console.error(`Icon with name "${iconName}" not found in iconsax-react.`);
    return null;
  }

  return <IconComponent size={size} {...otherProps} />;
};

export default IconRenderer;
